### Method

# GdkPixbuf Pixbuf apply_embedded_orientation

since: 2.12

#### Declaration [src]

    GdkPixbuf*
    gdk_pixbuf_apply_embedded_orientation (
      GdkPixbuf* src
    )

#### Description [src]

Takes an existing pixbuf and checks for the presence of an associated “orientation” option.

The orientation option may be provided by the JPEG loader (which reads the exif orientation tag) or the TIFF loader (which reads the TIFF orientation tag, and compensates it for the partial transforms performed by libtiff).

If an orientation option/tag is present, the appropriate transform will be performed so that the pixbuf is oriented correctly.

Available since: 2.12

#### Return value

Type: `GdkPixbuf`

A newly-created pixbuf.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.